Package com.verisign.epp.interfaces.v1_0

## Class EPPMaintenanceTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.v1_0.EPPMaintenanceTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPMaintenanceTst
      extends junit.framework.TestCase

  Is a unit test of the `EPPMaintenance` class. The unit test will initialize a session with an EPP Server, will invoke `EPPMaintenance` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPMaintenanceTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPMaintenanceTst​(java.lang.String name)` | Allocates an `EPPMaintenanceTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearPollQueue()` | Utility method to clear any messages currently left in the poll queue.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `void` | `maintenanceInfo()` | Unit test of `EPPMaintenance.sendInfo()` to get the information for a specific org identifier.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPMaintenanceTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testMaintenance()` | JUNIT test method to implement the `EPPMaintenanceTst TestCase`.
    `void` | `testMaintenancePoll()` | Unit test of `EPPMaintenance` poll messaging.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPMaintenanceTst

          public EPPMaintenanceTst​(java.lang.String name)

      Allocates an `EPPMaintenanceTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testMaintenance

          public void testMaintenance()

      JUNIT test method to implement the `EPPMaintenanceTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPMaintenance interface.

    - #### maintenanceInfo

          public void maintenanceInfo()

      Unit test of `EPPMaintenance.sendInfo()` to get the information for a specific org identifier.

    - #### testMaintenancePoll

          public void testMaintenancePoll()

      Unit test of `EPPMaintenance` poll messaging.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPMaintenanceTst`.
      Returns:
        Test suite

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments

    - #### clearPollQueue

          public void clearPollQueue()

      Utility method to clear any messages currently left in the poll queue.